using Dto;

namespace TestEF.Dto;

public class TestInquiryTableDTO
{
    private const int _id = 1;
    private const string _database = "database";
    private const string _connection = "_connection";
    
    [Fact]
    public void TestConstructorWithId()
    {
        InquiryTableDTO inquiry = new InquiryTableDTO(_id, _database, _connection);
        Assert.Equal(_id, inquiry.OwnerId);
        Assert.Equal(_database, inquiry.DatabaseName);
        Assert.Equal(_connection, inquiry.ConnectionInfo);
    }
    
    [Fact]
    public void TestDefaultConstructor()
    {
        InquiryTableDTO inquiry = new InquiryTableDTO();
        Assert.Equal(0, inquiry.OwnerId);
        Assert.Null(inquiry.DatabaseName);
        Assert.Null(inquiry.ConnectionInfo);
    }
}