using Dto;

namespace TestEF.Dto;

public class TestNotepadDTO
{
    private const int _id = 42;
    private const int _userId = 42;
    private const int _inquiryId = 42;
    private const string _notes = "This is some notes example";

    [Fact]
    public void TestDefaultConstructor()
    {
        NotepadDTO notepad = new NotepadDTO();
        Assert.Equal(0,notepad.Id);
        Assert.Equal(0,notepad.UserId);
        Assert.Equal(0,notepad.InquiryId);
        Assert.Null(notepad.Notes);
    }
    
    [Fact]
    public void TestConstructorWithoutId()
    {
        NotepadDTO notepad = new NotepadDTO(_userId,_inquiryId,_notes);
        Assert.Equal(0,notepad.Id);
        Assert.Equal(_userId,notepad.UserId);
        Assert.Equal(_inquiryId,notepad.InquiryId);
        Assert.Equal(_notes,notepad.Notes);
    }
    
    [Fact]
    public void TestConstructorWithAllAttributes()
    {
        NotepadDTO notepad = new NotepadDTO(_id,_userId,_inquiryId,_notes);
        Assert.Equal(_id,notepad.Id);
        Assert.Equal(_userId,notepad.UserId);
        Assert.Equal(_inquiryId,notepad.InquiryId);
        Assert.Equal(_notes,notepad.Notes);
    }
}